Subject: bug#41395: closed (Re: [bug#41395] [PATCH] gnu: Update python-prompt-toolkit to version 3.0.5)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 May 2020 13:49:02 +0000

Your bug report

#41395: [PATCH 0/2] gnu: Add python-questionary

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41395: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41395
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41395] [PATCH] gnu: Update python-prompt-toolkit to version 3.0.5
From: Marius Bakke <[email-masked]>
To: Edouard Klein <[email-masked]>, [email-masked]
Date: Sat, 30 May 2020 15:48:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Edouard Klein <[email-masked]> writes:

> * gnu/packages/machine-learning.scm (python-iml): Pin implicit
> python-prompt-toolkit dependency to version 2.

I added a [propagated-inputs] here.

> * gnu/packages/python-xyz.scm (python-widgetsnbextension): Pin implicit
> python-prompt-toolkit dependency to version 2.

And here.

> (python-ipywidgets): Update to version 7.5.1.

And removed this.

> (python-ipywidgets): Pin implicit python-prompt-toolkit dependency to version
> 2.

[propagated-inputs]

> (python-jupyter-console): Update to version 6.1.0.

Removed.

> (python-jupyter-console): Pin implicit python-prompt-toolkit dependency to
> version 2.
> (python-jupyter-console): Pin explicit python-prompt-toolkit dependency to
> version 2.

Duplicate.

> (python-prompt-toolkit): Update to version 3.0.5.

I mentioned the changes to [home-page] and [propagated-inputs] here.

> (python-prompt-toolkit-2): New variable
> (prompt-toolkit-2-instead-of-prompt-toolkit): New variable
> (python2-prompt-toolkit): keep at version 2.
> (python-prompt-toolkit-1): inherit from version 2.

And added capitalizations and full stops here.

[...]

> +(define-public python-prompt-toolkit-2
> +  (package (inherit python-prompt-toolkit)
> +    (name "python-prompt-toolkit")
> +    (version "2.0.7")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri "prompt_toolkit" version ".tar.gz"))
> +       (sha256
> +        (base32
> +         "0fgacqk73w7s932vy46pan2yp8rvjmlkag20xvaydh9mhf6h85zx"))))
> +    (propagated-inputs
> +     `(("python-wcwidth" ,python-wcwidth)
> +       ("python-six" ,python-six)
> +       ("python-pygments" ,python-pygments)
> +       ("python-wcwidth" ,python-wcwidth)))))

Duplicate wcwidth input (fixed).

> +(define-public prompt-toolkit-2-instead-of-prompt-toolkit
> +  (package-input-rewriting/spec
> +   `(("python-prompt-toolkit" . ,(const python-prompt-toolkit-2)))))

So this procedure is extremely greedy, and creates new derivations of
python-sphinx, python-cython and others for the affected packages.  Not
sure what's going on, but went ahead and applied it anyway.

The patches will be pushed shortly.  Thank you!

Subject: [PATCH 0/2] gnu: Add python-questionary
From: Edouard Klein <[email-masked]>
To: [email-masked]
Date: Tue, 19 May 2020 11:53:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

This is my first time submitting a multicommit patch. Please do not
hesitate to point out any mistakes in the way I did it so that I can fix
them in the future.

These two patches are my attempt to add python-questionary, which
depends on a update to python-prompt-toolkit.

With many thanks to Julien Lepiller and zimoun for their help on
guix-devel :)

Cheers,

Edouard.